import { WidgetMeta } from '../../core';
export declare function useWidgetMeta(widget: any): {
    valuePath: import('vue').ComputedRef<string>;
    widgetMeta: import('vue').ComputedRef<any>;
    fieldMeta: import('vue').ComputedRef<import('../../domain/field/field-binding').FieldDataBindingMeta | undefined>;
    widgetProps: import('vue').ComputedRef<any>;
};
export declare function useFieldInfo(fieldMeta: () => WidgetMeta['field'] | undefined): {
    fieldList: import('vue').ComputedRef<import('../../capabilities/model-field-runtime').FieldMeta[]>;
    fieldInfo: import('vue').ComputedRef<import('../../capabilities/model-field-runtime').FieldMeta | null>;
};
export declare function useWidgetType(widgetMeta: any): {
    widgetType: import('vue').ComputedRef<any>;
    isMultiple: import('vue').ComputedRef<boolean>;
    isAsync: import('vue').ComputedRef<boolean>;
    isDropdown: import('vue').ComputedRef<boolean>;
    isDialog: import('vue').ComputedRef<boolean>;
};
export declare function useWidgetStaticAttrs(widget: any): {
    widgetMeta: import('vue').ComputedRef<any>;
    fieldMeta: import('vue').ComputedRef<import('../../domain/field/field-binding').FieldDataBindingMeta | undefined>;
    widgetProps: import('vue').ComputedRef<any>;
    valuePath: import('vue').ComputedRef<string>;
    fieldList: import('vue').ComputedRef<import('../../capabilities/model-field-runtime').FieldMeta[]>;
    fieldInfo: import('vue').ComputedRef<import('../../capabilities/model-field-runtime').FieldMeta | null>;
    widgetType: import('vue').ComputedRef<any>;
    isMultiple: import('vue').ComputedRef<boolean>;
    isAsync: import('vue').ComputedRef<boolean>;
    isDropdown: import('vue').ComputedRef<boolean>;
    isDialog: import('vue').ComputedRef<boolean>;
};
